summaryrefslogtreecommitdiff
path: root/tests/binary
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2014-01-31 17:15:26 -0800
committerPaul Eggert <eggert@cs.ucla.edu>2014-01-31 17:15:54 -0800
commitbc4b4b2bbf699267bab167af0484336780791953 (patch)
treef559a250090596a0a77361e86c271bb04fd1427e /tests/binary
parent1875453ee6e1021d67c6856c46e7024bcecdbea8 (diff)
downloaddiffutils-bc4b4b2bbf699267bab167af0484336780791953.tar.gz
diff: exit with status 1, not 2, when binary files differ
Problem reported by Vincent Lefevre in <http://bugs.gnu.org/16608>. * NEWS: * doc/diffutils.texi (Binary, Invoking diff): Document this. * src/analyze.c (briefly_report): Return void, not int. All uses changed. Do not futz with exit status. Simplify. * tests/binary: Adjust to match new behavior.
Diffstat (limited to 'tests/binary')
-rwxr-xr-xtests/binary4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/binary b/tests/binary
index d7b3943..0110f6e 100755
--- a/tests/binary
+++ b/tests/binary
@@ -9,8 +9,8 @@ fail=0
printf '\0'|diff - /dev/null > out 2> err
-# diff must exit with status 2, stdout as above, and no stderr.
-test $? = 2 || fail=1
+# diff must exit with status 1, stdout as above, and no stderr.
+test $? = 1 || fail=1
compare out-exp out || fail=1
compare /dev/null err || fail=1